/* Zespri CH DE */

/* FONT */
@import url("https://use.typekit.net/dfa4tpt.css");

@font-face {
    font-family: 'sequel';
    src: url('fonts/sequel-neue-webfont.woff2') format('woff2'),
         url('fonts/sequel-neue-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}


/* BASIC */
:root {
    --mgreen: #008436;
    --lgreen: #B6D237;
    --yellow: #FFCE18;
    --red: #E82300;
}

html {
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
}

body {
    font-family: "ainslie-sans-condensed", sans-serif;
    background: white;
    margin: 0;
    padding: 0;

    strong {
        font-weight: 700;
    }
}

.yellow {
    color: var(--yellow);
}

.desktop {
    display: block;
}
.mobile {
    display: none;
}


/* HEADER */
header {
    position: relative;
    font-family: 'sequel', sans-serif;
    background: var(--mgreen) url(../img/zespri-mixed-kiwis.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    text-align: center;
}
header.header-post-raffle {
    position: relative;
    font-family: 'sequel', sans-serif;
    background: none;
    /* background-color: var(--mgreen); */
}
header .logo {
    width: 120px;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 20;
}

header .header-post-raffle-img img {
    max-width: 100%;
}

header.header-post-raffle nav {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 20;
}

header ul {
    list-style: none;
    display: flex;
    justify-content: center;
    padding: 0;
    margin: 0;
}
header.gewinne ul {
    padding-bottom: 2rem;
}
header ul li {
    padding: 1.5rem 1.5rem 1.5rem 0;
}
header ul li a {
    font-size: 1.2rem;
    color: white;
    text-decoration: none;
    text-shadow: 1px 1px 1px var(--mgreen);
}
header .header-text {
    display: inline-block;
    background-color: var(--yellow);
    font-size: 2.4rem;
    padding: 1rem;
    margin-bottom: 3rem;
    /* text-shadow: 2px 2px 2px var(--mgreen); */
    line-height: 1.1;
    transform: rotate(-3deg);
}
header .header-text h1 {
    color: var(--mgreen);
    margin: 0;
    font-weight: normal;
}
header .header-text h2 {
    color: white;
    font-size: 2rem;
    margin: .5rem 0 0;
    font-weight: normal;
}

/* MAIN */
.post-raffle {
    background-color: var(--mgreen);
    width: 100%;
    padding: 2rem 0 0;
}
.post-raffle img {
    max-width: 100%;
    margin: 0 auto;
}
.post-raffle-text {
    background-color: var(--yellow);
    color: var(--mgreen);
    padding: 1.5rem 0;
}
.post-raffle-text > div {
    max-width: 800px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
}
.post-raffle-text h2 {
    font-family: 'sequel', sans-serif;
    color: white;
    font-weight: normal;
    transform: rotate(-3DEG);
    margin-bottom: 0;
    align-self: end;
}
.post-raffle-text h2:nth-of-type(2) {
    grid-column: 2;
    grid-row: 1;
}
.post-raffle-text h2 span {
    display: inline-block;
    padding: 0 .3rem;
    background-color: var(--mgreen);
    box-shadow: 3px 3px 0 var(--lgreen);
}
.post-raffle-text img.jump {
    grid-column: 1 / span 2;
}

.win {
    font-family: 'sequel', sans-serif;
    color: var(--mgreen);
    font-size: 1.8rem;
    padding: 1.2rem 0;
    /* background-color: var(--mgreen); */
    text-align: center;

}
.win span {
    font-size: 120%;
}
/* .win img {
    max-width: 240px;
} */


.quiz {
    position: relative;
    max-width: 460px;
    padding: 2rem;
    margin: 2rem auto;
    background-color: var(--mgreen);
    color: white;
    border-radius: 1rem;
}
.quiz > img.desktop {
    position: absolute;
    max-width: 200px;
}
.quiz > img.desktop:nth-of-type(1) {
    right: -187px;
    transform: scaleX(-1);
}
.quiz > img.desktop:nth-of-type(2) {
    left: -187px;
}
/* .quiz form {
} */
.quiz form div {
    padding: .5rem 0;
    /* border-top: 1px solid var(--lgreen); */
    border-bottom: 1px solid var(--lgreen);
}
.quiz form div:last-of-type {
    border-bottom: 0;
}
.quiz form div p {
    color: var(--yellow)
}
.quiz form input {
    display: block;
    width: 100%;
    padding: .5rem 0 .5rem;
    margin: .5rem 0;
}
.quiz form input[type='radio'], .quiz form input[type='checkbox'] {
    display: inline-block;
    width: auto;
    margin-right: .5rem;
    accent-color: var(--lgreen);
}
.quiz form input[type='checkbox'] + label {
    font-size: .8rem;
}
.quiz form input[type='submit'] {
    display: block;
    width: auto;
    margin: 1rem auto 0;
    padding: .5rem 1rem;
    background-color: var(--yellow);
    color: var(--mgreen);
    font-weight: bold;
    font-size: 1.3rem;
    font-family: "ainslie-sans-condensed", sans-serif;
    border-radius: .5rem;
    border: none;
}
.quiz form textarea {
    width: 100%;
    margin-bottom: 1rem;
    resize: none;
    font-family: "ainslie-sans-condensed", sans-serif;
}
.quiz form a {
    color: var(--yellow);
}

.quiz .form-error, .quiz .form-success {
    text-align: center;
    font-weight: bold;
    padding: 1rem;
    font-size: 1.2rem;
    border-radius: 1rem;
}

.quiz .form-error {
    background-color: var(--red);
    color: white;
}

.quiz .form-success {
    background-color: var(--lgreen);
    color: var(--mgreen);
}



.fitness {
    display: grid;
    align-items: center;
    justify-items: center;
    /* grid-template-columns: 1fr; */
    background-color: var(--yellow);
    text-align: center;
    padding: 1rem;
}
.fitness p {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
    background-color: #008436;
    padding: 1rem;
    color: white;
    font-size: 1.3rem;
    font-weight: bold;
    transform: rotate(-3deg);
    box-shadow: 8px 8px var(--lgreen);
}
.fitness img {
    max-width: 100%;
    grid-column: 1 / 3;
    grid-row: 1 / 3;
}



.homepage {
    max-width: 800px;
    margin: 0 auto;
}

.homepage .kiwis {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 1rem;
    text-align: center;
}
.homepage .kiwis img {
    max-width: 100%;
}
.homepage .kiwis a {
    text-decoration: none;
}
.homepage .kiwis a p {
    margin: 0;
    font-size: 1.4rem;
    color: var(--mgreen);
}
.homepage .kiwis a p:nth-of-type(3) {
    margin: 0;
    font-size: 1.1rem;
    color: black;
}
.homepage .kiwis a p:nth-of-type(1) {
    font-size: 1.6rem;
    font-family: 'sequel', sans-serif;
    color: var(--yellow);
}
.homepage .kiwis a:nth-of-type(2) p:nth-of-type(1) {
    font-size: 1.6rem;
    font-family: 'sequel', sans-serif;
    color: var(--mgreen);
}


.homepage .recipes {
    margin: 2rem 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-template-rows: repeat(4, 200px);
    grid-gap: 1rem;
    grid-auto-flow: dense;
}

.homepage .recipes a:nth-of-type(2) {
    grid-column: span 2;
    grid-row: span 2;
}
.homepage .recipes a:nth-of-type(4) {
    grid-column: span 2;
}
.homepage .recipes a:nth-of-type(7) {
    grid-column: span 2;
}

.homepage .recipes a {
    display: grid;
    align-items: center;
    justify-items: center;
    text-decoration: none;
}

.homepage .recipes a:nth-of-type(1) {
    background-image: url(../img/recipes-cocktails.jpg);
}
.homepage .recipes a:nth-of-type(2) {
    background-image: url(../img/recipes-hauptspeisen.png);
}
.homepage .recipes a:nth-of-type(3) {
    background-image: url(../img/recipes-vorspeisen.jpg);
}
.homepage .recipes a:nth-of-type(4) {
    background-image: url(../img/recipes-snack.png);
}
.homepage .recipes a:nth-of-type(5) {
    background-image: url(../img/recipes-smoothie.jpg);
}
.homepage .recipes a:nth-of-type(6) {
    background-image: url(../img/recipes-dessert.png);
}
.homepage .recipes a:nth-of-type(7) {
    background-image: url(../img/recipes-fruhstuck.jpg);
}

.homepage .recipes a {
    background-position: center;
    background-size: 100% auto;
    transition: background-size .3s ease-in-out;
}
.homepage .recipes a:hover {
    background-size: 110% auto;
}

.homepage .recipes a p {
    font-family: 'sequel', sans-serif;
    color: white;
    font-size: 1.8rem;
    text-shadow: 0 0 3px rgba(0,0,0,.8);
}

/* .homepage .recipes a img, .homepage .recipes a p {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
} */

/* .homepage .recipes a img {
    object-fit: cover;
    object-position: center;
    width: 95%;
    height: 95%;
    transition: all .3s ease-in-out;
} */
/* .homepage .recipes a:hover img {
    width: 100%;
    height: 100%;
} */
.kv2024 {
    /* max-width: 800px;
    margin: 0 auto; */
    background-color: var(--mgreen);
    padding: 2rem 0;
}
.kv2024 > div {
    margin: 0 auto;
    max-width: 800px;
}
.video-yt {
    width: 100%;
    height: 0;
	overflow: hidden;
	padding-bottom: 56.25%;
	padding-top: 30px;
	position: relative;
}
.video-yt iframe, .video-yt object, .video-yt embed {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    }


footer {
    width: 100%;
    text-align: center;
    font-size: .7rem;
    padding: .5rem 0;
}

.rules {
    max-width: 800px;
    margin: 0 auto;
    padding: 0 .5rem;
    text-align: justify;
}
.rules a {
    color: var(--mgreen);
}

/* .rules-list {

} */
.rules-list ::marker {
  content: counters(list-item,'.') '.';
  font-weight: bold;
}

.rules-list li {
  padding-left: .5em;
}

.rules-list li li {
  counter-reset: none;
}

.rules-list > ol {
    padding-left: 0;
}

/* MOBILE */
@media only screen and (max-width: 600px) {
    .desktop {
        display: none;
    }
    .mobile {
        display: block;
    }
    header.header-post-raffle nav {
        position: absolute;
        top: 0;
        left: auto;
        right: 10px;
        transform: translateX(0);
    }
    header ul {
        flex-direction: column;
        justify-content: end;
        text-align: right;
        padding-right: 1rem;
    }
    header ul li:nth-child(1) {
        padding-top: 1rem;
    }
    header ul li {
        padding: 0;
    }
    header ul li a {
        font-size: 1rem;
    }
    header .header-text {
        max-width: 50%;
        padding: .5rem;
        margin-top: .5rem;
        margin-bottom: 1rem;
    }
    header .header-text h1 {
        font-size: 2.2rem;
    }
    header .header-text h2 {
        font-size: 1.2rem;
    }
    .win {
        font-size: 1.3rem;
        padding: 0 .5rem 0;
        margin-bottom: 0;
    }
    .post-raffle img {
        max-width: 90%;
        margin: 1rem auto;
    }
    .post-raffle-text > div {
        padding: 1.5rem .5rem;
        grid-template-columns: 1fr;
    }
    .post-raffle-text h2:nth-of-type(2) {
        grid-column: auto;
        grid-row: auto;
    }
    .post-raffle-text img.jump {
        grid-column: auto;
    }
    .quiz {
        margin: 2rem 1rem;
        margin-top: 110px;
    }
    .quiz > img.mobile {
        position: absolute;
        max-width: 90%;
        top: -92px;
        left: 50%;
        transform: translateX(-50%);
    }
    .fitness p {
        font-size: 1.25rem;
        padding: .3rem;
    }
    .homepage .kiwis img {
        max-width: 90%;
        margin: 0 auto;
    }
    .homepage .recipes {
        margin: 2rem 1rem;
        grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
        grid-template-rows: repeat(5, 120px);
    }
    .homepage .recipes a p {
        font-size: 1.2rem;
    }
    .homepage .recipes a:nth-of-type(2) {
        grid-column: span 2;
        grid-row: auto;
    }
}